%define debug_package %{nil}

Name:           bacula-docs
Version:        5.2.13
Release:        5%{?dist}
Summary:        Bacula documentation
Group:          Documentation

License:        GPLv2 with exceptions
URL:            http://www.bacula.org
Source0:        http://www.bacula.org/downloads/Bacula-%{version}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-aarch64.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

BuildRequires:  bacula-devel = %{version}
BuildRequires:  ghostscript
BuildRequires:  latex2html

Provides:       bacula-docs = %{version}-%{release}
Obsoletes:      bacula-docs < 5.2.2-4

%description
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the documentation for most of the bacula packages.

%prep
%setup -q
%patch0 -p1 -b .aarch64

%build
%configure --with-bacula=%{_includedir}/bacula
make

for manual in problems console utility developers main misc; do
    mkdir $manual
    cp -f manuals/en/$manual/$manual/*.{css,html,png} $manual
    cp -f manuals/en/$manual/$manual.pdf .
done

%install

%files
%defattr(-,root,root,-)
%doc problems.pdf problems
%doc console.pdf console
%doc utility.pdf utility
%doc developers.pdf developers
%doc main.pdf main
%doc misc.pdf misc

%changelog
* Thu Apr 03 2014 Simone Caronni <negativo17@gmail.com> - 5.2.13-5
- Simplify requirements, fixes build on RHEL 7.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 19 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-3
- Add patch for aarch64 bug #925073.

* Thu Apr 04 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-2
- Bump release for Koji.

* Wed Feb 20 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-1
- Updated to 5.2.13.
- Format spec file.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 14 2012 Simone Caronni <negativo17@gmail.com> - 5.2.12-1
- Updated to 5.2.12.

* Tue Sep 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.11-1
- Updated to 5.2.11.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-1
- Updated to 5.2.10.

* Tue Jun 12 2012 Simone Caronni <negativo17@gmail.com> - 5.2.9-1
- Updated to 5.2.9.

* Mon Jun 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.8-1
- Updated to 5.2.8.

* Mon Jun 04 2012 Simone Caronni <negativo17@gmail.com> - 5.2.7-1
- Updated to 5.2.7.
- Replaced tabs with blanks in spec file (rpmlint).

* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-3
- Removed __make macro.

* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-2
- Removed latex2html conditional for RHEL 4 (EOL).

* Wed Feb 22 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-1
- Update to 5.2.6.

* Thu Jan 26 2012 Simone Caronni <negativo17@gmail.com> - 5.2.5-1
- Update.

* Wed Jan 18 2012 Simone Caronni <negativo17@gmail.com> - 5.2.4-1
- Update and require bacula-devel correct version.

* Sun Jan 15 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-8
- Make the noarch package update the architecture specific one.
 
* Thu Jan 05 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-7
- First build.
